#include <bits/stdc++.h>
using namespace std;

int N;
double Porez[2000005];
double A[200005],P[200005],suma,maks;

int main(){
    cin >> N;

  for(int i = 1; i <= N; i++)
    cin >> A[i] >> P[i];
    cout << setprecision (5) << fixed;
    
     for(int i = 1; i <= N; i++){
       suma = 0;
       for (int j = 1; j <= N; j++){
         if (P[i] <= P[j]){
          suma += A[j];
         }
         Porez[i] = suma*(P[i]/100);
         }
     }

       maks = Porez[1];

     for(int i = 1; i <= N; i++){
       if (Porez[i] > maks){
        maks = Porez[i];
       }
     }

     cout << maks << endl;

     return 0;
}